# ALCdevice (LWJGL API)
Date: 2015-07-28

## org.lwjgl.openal
Class ALCdevice

    java.lang.Object
      org.lwjgl.openal.ALCdevice

    public final class ALCdevice

extends java.lang.Object

The ALCdevice class represents a device opened in OpenAL space. ALC introduces the notion of a Device. A Device can be, depending on the implementation, a hardware device, or a daemon/OS service/actual server. This mechanism also permits different drivers (and hardware) to coexist within the same system, as well as allowing several applications to share system resources for audio, including a single hardware output device. The details are left to the implementation, which has to map the available backends to unique device specifiers.

Version:
  $Revision$ $Id$
Author:
  Brian Matzon <brian@matzon.dk>

Method Summary
`boolean` `equals(java.lang.Object device)`
`boolean` `isValid()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### equals

    public boolean equals(java.lang.Object device)

  Overrides:
    `equals` in class `java.lang.Object`

### isValid

    public boolean isValid()

  Returns:
    true if this device is still valid

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.